import {KeyValue} from "../models";
import {isNullOrUndefined} from "../tools";

export class EnumUtil {
  static convertToArray(enums: any, valueToExclude: any[] = []): any[] {
    const array = [...Object.values(enums)];
    valueToExclude.forEach(v => {
      const index = array.indexOf(v);
      if (index !== -1) {
        array.splice(array.indexOf(v), 1);
      }
    });
    return array;
  }

  static getLabel(listEnum: KeyValue[], key: string): string {
    const item = listEnum.find(i => i.key === key);
    if (isNullOrUndefined(item)) {
      return key;
    }
    return item.value;
  }
}
