import {
  BaseResourceState,
  BaseResourceType,
} from "../../models";
import {FormState} from "../../models/forms/form-state.model";

export interface ResourceStateModel<TResource extends BaseResourceType> extends BaseResourceState {
  list: TResource[] | undefined;
  listTemp: TResource[] | undefined;
  listPendingResId: string[] | undefined;
  current: TResource | undefined;
  form?: FormState<TResource>;
  isLoadingChunk: boolean;
}
